#pragma once

#include <SFML/Graphics.hpp>

using namespace sf;

class Shared;

class Portal: public Drawable {
public:
	void create(Shared* context, Vector2i src, Vector2i dest);
	void animate();
private:
	virtual void draw(RenderTarget& target, RenderStates states) const override;
	static Texture _blue_tex;
	static Texture _orange_tex;
	Sprite _blue;
	Sprite _orange;
	Clock _clock;
};
